Chromium Code Reviews
Help | Chromium Project | Sign in
(16)

Issue 1407633003: [css-grid] Implementation of Baseline Self-Alignment (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 6 months ago by jfernandez
Modified:
2 weeks, 6 days ago
CC:
blink-reviews, blink-reviews-layout_chromium.org, chromium-reviews, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, Manuel Rego, svillar, szager+layoutwatch_chromium.org, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-grid] Implementation of Baseline Self-Alignment The CSS Box Alignment spec defines different Baseline alignment for the Content-Alignment and Self-Alignment properties. This patch address just the Baseline Self-Alignment logic for grid items. Additionally, Baseline alignment should work in both row and column axis and this patches provides support only for row-axis alignment. Finally, since last-baseline is still under risk of being dropped during the CR period, it won't be implemented for the time being. BUG=412410 Review-Url: https://codereview.chromium.org/1407633003 Cr-Commit-Position: refs/heads/master@{#461682} Committed: https://chromium.googlesource.com/chromium/src/+/45688c2bcf5aedeff66d2d427e099d5f65251849

Patch Set 1 : Preliminary approach. #

Total comments: 7

Patch Set 2 : New approach. #

Patch Set 3 : Fixed several bug and added new tests. #

Total comments: 8

Patch Set 4 : Applied suggested changes. #

Total comments: 10

Patch Set 5 : New approach. #

Patch Set 6 : Refactoring and code cleanup. #

Patch Set 7 : Patch rebased and applied several refactoring and code clean up. #

Total comments: 13

Patch Set 8 : Applied suggested changes and resolved the intrinsic size issues. #

Total comments: 4

Patch Set 9 : Update width and height based on baseline without altering the intrinsic size. #

Patch Set 10 : Update intrinsic size and compute baseline after step 2 to deal with percentage items. #

Total comments: 17

Patch Set 11 : Get advantage of recomputing the intrinsic size to solve the issues with orthogonal flows. #

Total comments: 2

Patch Set 12 : Patch rebased. #

Patch Set 13 : Do no update the intrinsic size. #

Total comments: 10

Patch Set 14 : Patch for landing #

Patch Set 15 : Using Font descent for vertical-lr firstLineBaseline #

Patch Set 16 : Patch rebased #

Patch Set 17 : Mark some tests as Failure on Mac platform #

Patch Set 18 : Patch rebased #

Patch Set 19 : Resolved conflicts in TestsExpectations #

Patch Set 20 : Improving the skipped tesst by solving some rounding issues #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3224 lines, -43 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline.html View 1 2 3 1 chunk +109 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html View 1 2 3 1 chunk +133 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-baseline.html View 1 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-01.html View 1 2 3 4 5 6 7 8 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-01-expected.html View 1 2 3 4 5 6 7 8 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-02.html View 1 2 3 4 5 6 7 8 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-02-b.html View 1 2 3 4 5 6 7 8 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-02-b-expected.html View 1 2 3 4 5 6 7 8 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-02-expected.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-03.html View 1 2 3 4 5 6 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-03-expected.html View 1 2 3 4 5 6 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-04.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-04-expected.html View 1 2 3 4 5 6 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-05.html View 1 2 3 4 5 6 7 8 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-05-expected.html View 1 2 3 4 5 6 7 8 1 chunk +54 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-06.html View 1 2 3 4 5 6 7 8 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-06-expected.html View 1 2 3 4 5 6 7 8 1 chunk +49 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-07.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-07-expected.html View 1 2 3 4 5 6 7 8 1 chunk +57 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-01.html View 1 2 3 4 5 6 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-01-expected.html View 1 2 3 4 5 6 1 chunk +28 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-02.html View 1 2 3 4 5 6 1 chunk +57 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-02-expected.html View 1 2 3 4 5 6 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-03.html View 1 2 3 4 5 6 1 chunk +53 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-03-expected.html View 1 2 3 4 5 6 1 chunk +33 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-04.html View 1 2 3 4 5 6 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-04-expected.html View 1 2 3 4 5 6 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-05.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +56 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-05-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-06.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +56 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-06-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-07.html View 1 2 3 4 5 6 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-horiz-07-expected.html View 1 2 3 4 5 6 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-two-dimensional.html View 1 2 3 4 1 chunk +166 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-01.html View 1 2 3 4 5 6 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-01-expected.html View 1 2 3 4 5 6 1 chunk +28 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-02.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-02-expected.html View 1 2 3 4 5 6 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-03.html View 1 2 3 4 5 6 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-03-expected.html View 1 2 3 4 5 6 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-04.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-04-expected.html View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-05.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-05-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-06.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-06-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-07.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-lr-07-expected.html View 1 2 3 4 5 6 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-01.html View 1 2 3 4 5 6 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-01-expected.html View 1 2 3 4 5 6 1 chunk +28 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-02.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-02-expected.html View 1 2 3 4 5 6 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-03.html View 1 2 3 4 5 6 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-03-expected.html View 1 2 3 4 5 6 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-04.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-04-expected.html View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-05.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-05-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-06.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-06-expected.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-07.html View 1 2 3 4 5 6 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-self-baseline-vertical-rl-07-expected.html View 1 2 3 4 5 6 1 chunk +32 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-track-sizing-with-orthogonal-flows.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 16 chunks +16 lines, -16 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/css-grid-layout/resources/grid-alignment.css View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +9 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/layout/BaselineAlignment.h View 1 2 3 4 5 6 7 1 chunk +84 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/layout/BaselineAlignment.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +102 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/GridTrackSizingAlgorithm.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/GridTrackSizingAlgorithm.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +17 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +15 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutGrid.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 5 chunks +37 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutGrid.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 13 chunks +243 lines, -23 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 74 (34 generated)
jfernandez
This is a WIP patch, but I appreciate any early feedback about my preliminary approach. ...
1 year, 6 months ago (2015-10-14 21:12:07 UTC) #3
cbiesinger
https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode145 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:145: class BaselineGroup { For this class and BaselineContext, can ...
1 year, 6 months ago (2015-10-26 22:07:17 UTC) #6
jfernandez
https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode145 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:145: class BaselineGroup { On 2015/10/26 22:07:16, cbiesinger wrote: > ...
1 year, 6 months ago (2015-10-27 09:47:56 UTC) #7
cbiesinger
https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/60001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode166 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:166: || (oppositeBlockDirection(child->styleRef().writingMode(), groupWritingMode) && preference != groupPreference); On 2015/10/27 ...
1 year, 6 months ago (2015-10-27 21:52:30 UTC) #8
jfernandez
I'd like @cbiesinger to take special look at how this change affects to flexbox (see ...
5 months, 1 week ago (2016-11-14 21:46:59 UTC) #11
kojii
https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html File third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html (right): https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html#newcode16 third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html:16: -webkit-writing-mode: vertical-rl; nit: better to use unprefixed versions? WebKit ...
5 months, 1 week ago (2016-11-15 04:21:16 UTC) #12
jfernandez
https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html File third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html (right): https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html#newcode16 third_party/WebKit/LayoutTests/fast/css-grid-layout/grid-align-baseline-vertical.html:16: -webkit-writing-mode: vertical-rl; On 2016/11/15 04:21:15, kojii wrote: > nit: ...
5 months, 1 week ago (2016-11-16 11:51:24 UTC) #16
kojii
https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode2507 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:2507: firstRootBox()->baselineType()))) On 2016/11/16 at 11:51:24, jfernandez wrote: > On ...
5 months, 1 week ago (2016-11-16 17:18:07 UTC) #17
jfernandez
https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/1407633003/diff/100001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode2507 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:2507: firstRootBox()->baselineType()))) On 2016/11/16 17:18:06, kojii wrote: > On 2016/11/16 ...
5 months, 1 week ago (2016-11-16 18:50:07 UTC) #18
kojii
https://codereview.chromium.org/1407633003/diff/160001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/1407633003/diff/160001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode2494 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:2494: return !styleRef().isHorizontalWritingMode(); On 2016/11/16 at 18:50:07, jfernandez wrote: > ...
5 months, 1 week ago (2016-11-18 04:14:54 UTC) #19
svillar
This is an initial review. I'd need to understand much better the concepts of baseline ...
5 months ago (2016-11-25 14:44:49 UTC) #20
jfernandez
Patch ready for review. I have re-implemented almost everything, so I'd recommend doing a full ...
3 months, 1 week ago (2017-01-11 23:10:42 UTC) #21
svillar
The code is very nicely organized now. I have several comments though. https://codereview.chromium.org/1407633003/diff/220001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp ...
3 months ago (2017-01-19 09:41:25 UTC) #22
jfernandez
https://codereview.chromium.org/1407633003/diff/220001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/1407633003/diff/220001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode2536 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:2536: : firstLineBox()->logicalTop()) + On 2017/01/19 09:41:25, svillar wrote: > ...
3 months ago (2017-01-19 16:31:49 UTC) #23
jfernandez
Applied the suggested changes.
3 months ago (2017-01-21 00:29:06 UTC) #24
svillar
https://codereview.chromium.org/1407633003/diff/260001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/260001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode652 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:652: updateLogicalWidth(); It does not seem correct to do this ...
3 months ago (2017-01-23 10:41:58 UTC) #26
jfernandez
New patch with the approach discussed today. https://codereview.chromium.org/1407633003/diff/260001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/260001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode652 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:652: updateLogicalWidth(); On ...
2 months, 3 weeks ago (2017-02-02 15:49:22 UTC) #28
svillar
We are pretty close... https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode600 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:600: Can't we just early return ...
2 months, 2 weeks ago (2017-02-09 13:10:10 UTC) #29
jfernandez
I'll provide a new patch with some of the changes suggested in the last review, ...
2 months, 2 weeks ago (2017-02-09 14:16:03 UTC) #30
svillar
I'm looking forward to have this in the tree. https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode723 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:723: ...
2 months, 1 week ago (2017-02-13 15:18:46 UTC) #31
jfernandez
PTAL https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): https://codereview.chromium.org/1407633003/diff/320001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp#newcode723 third_party/WebKit/Source/core/layout/LayoutGrid.cpp:723: computeBaselineAlignmentContext(sizingData); On 2017/02/13 15:18:46, svillar wrote: > On ...
2 months, 1 week ago (2017-02-13 23:32:38 UTC) #32
mstensho
LayoutBlockFlow.cpp lgtm - let's get this landed this year. :) https://codereview.chromium.org/1407633003/diff/340001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/1407633003/diff/340001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode2534 ...
1 month, 1 week ago (2017-03-17 09:04:56 UTC) #33
jfernandez
On 2017/03/17 09:04:56, mstensho wrote: > LayoutBlockFlow.cpp lgtm - let's get this landed this year. ...
1 month, 1 week ago (2017-03-17 13:05:36 UTC) #34
jfernandez
Please @svillar take a look to the last patch. As agreed, we don't update the ...
1 month ago (2017-03-23 23:31:04 UTC) #35
svillar
Le'ts land this. lgtm Great job, and thanks for your patience. https://codereview.chromium.org/1407633003/diff/380001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): ...
1 month ago (2017-03-24 10:52:05 UTC) #36
jfernandez
Thanks for the reviews. I'll submit a patch for landing soon. https://codereview.chromium.org/1407633003/diff/380001/third_party/WebKit/Source/core/layout/LayoutGrid.cpp File third_party/WebKit/Source/core/layout/LayoutGrid.cpp (right): ...
1 month ago (2017-03-24 14:15:18 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/400001
1 month ago (2017-03-24 14:30:59 UTC) #40
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/416053)
1 month ago (2017-03-24 16:01:03 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/420001
4 weeks ago (2017-03-27 22:50:51 UTC) #45
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/178407) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
4 weeks ago (2017-03-27 22:54:54 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/440001
4 weeks ago (2017-03-27 23:04:09 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/415830)
4 weeks ago (2017-03-28 01:09:08 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/480001
3 weeks, 3 days ago (2017-03-31 22:00:07 UTC) #56
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/182015) ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
3 weeks, 3 days ago (2017-03-31 22:03:57 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/500001
3 weeks, 3 days ago (2017-03-31 22:42:03 UTC) #61
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/182045) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
3 weeks, 3 days ago (2017-03-31 22:45:45 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/520001
3 weeks, 3 days ago (2017-03-31 23:19:59 UTC) #66
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/421538)
3 weeks, 3 days ago (2017-04-01 01:12:06 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1407633003/540001
2 weeks, 6 days ago (2017-04-04 09:06:18 UTC) #71
commit-bot: I haz the power
2 weeks, 6 days ago (2017-04-04 11:05:20 UTC) #74
Message was sent while issue was closed.
Committed patchset #20 (id:540001) as
https://chromium.googlesource.com/chromium/src/+/45688c2bcf5aedeff66d2d427e09...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46